<?php

//$file = fopen("log.txt", "w");   /// BORRAR LOG
//fwrite($file, "Error $error". PHP_EOL);
//fclose($file);

$proceso=$_GET["proceso"];
$zona=$_GET["zona"];
$ras=$_GET["ras"];
$config = require ('config.php');

$conexion=$config['conexion'];

$conn = pg_connect($conexion);

$resultado = 'ERROR';

if ($proceso == 'CARGAR') {
	$sql="select controlador, led_desde, led_hasta, led_tira from led where iddisplay = 'RAS$ras"."POS$zona'";
	$result = pg_query($conn,$sql);
	
	while ($row = pg_fetch_array($result)) {
		$resultado = $row['controlador'].'|'.$row['led_desde'].'|'.$row['led_hasta'].'|'.$row['led_tira'];
	}
}
if ($proceso == 'ACTUALIZAR') {
	
	$controlador = $_GET['controlador'];
	$led_desde = $_GET['leddesde'];
	$led_hasta = $_GET['ledhasta'];
	$led_tira = $_GET['ledtira'];
	
	$sql="update led set controlador='$controlador', led_desde=$led_desde, led_hasta=$led_hasta, led_tira=$led_tira where iddisplay = 'RAS$ras"."POS$zona'";
	$stmt = pg_query($conn,$sql);
	$row = pg_affected_rows($stmt);
	if ($row < 1){
		$resultado = 'ERROR AL ACTUALIZAR LOS DATOS';
		pg_query($conn,'rollback');
	} else {
		$resultado = 'OK';
		pg_query($conn,'commit');
	}
}

pg_close($conn);
echo $resultado;

?>